var nobossradiotheme = {};

nobossradiotheme.CONSTRUCTOR = function(){
    // Usuario selecionou um item
    jQuery(document).on('click', '.nobossradiotheme label', function () {
        let itemSelected = jQuery(this).find('.nobossradiotheme__option-image');

        // Percorre todos atributos 'data' do elemento html
        jQuery.each(jQuery(itemSelected).data(), function( name, value ) {
            // console.log(name + ' | ' + value);

            // Pega o elemento pai html onde estao os fields dos botoes
            let elementFields = jQuery(itemSelected).closest('.control-group').parent();

            // Field corrente
            let fieldCurrent = jQuery(elementFields).find('[name*="' + name + '"]').first();

            // console.log('[name*="' + name + '"]    |     ' + jQuery(fieldCurrent).val());

            // Campo minicolors
            if (jQuery(fieldCurrent).hasClass("minicolors")){
                jQuery(fieldCurrent).minicolors('value', value);
            }

            // Campo multipleinputs
            else if (jQuery(fieldCurrent).hasClass("nobossmultipleinputs--active-mask")){
                // Quebra os valores que deixamos como string separado por ';'
                let valueSplit = value.split(";");

                // Percorre todos inputs para preencher
                jQuery.each(jQuery(elementFields).find('[name*="' + name + '"]'), function( key, value ) {
                    jQuery(this).val(valueSplit[key]);
                });
            }

            // Campo range
            else if(jQuery(fieldCurrent).filter('input[type="range"]').length){
                jQuery(fieldCurrent).val(value);
                jQuery(elementFields).find('[name*="' + name + '"].nobossrange--input').first().val(value);
            }

            // Campo do tipo select normal
            else if(jQuery(fieldCurrent).filter("select").length){
                // Seleciona valor do select e atualiza ele
                jQuery(fieldCurrent).find('option').removeAttr('selected');
                jQuery(fieldCurrent).find('option[value="'+value+'"]').attr('selected','selected');
                jQuery(fieldCurrent).trigger('change').trigger('click');
            }
            // De mais campos
            else{
                jQuery(fieldCurrent).val(value);
            }

        });
    });

};

jQuery(document).ready(function (jQuery) {
    nobossradiotheme.CONSTRUCTOR();
});
