<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Library
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2024 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

// use Joomla\CMS\Form\Field\RadioField as JFormFieldRadio;

\defined('_JEXEC') or die;

JFormHelper::loadFieldClass('radio');

// Sobreescreve o field do joomla para setar layout especifico no Joomla 4
class JFormFieldNobossradio extends JFormFieldRadio
{
	protected $type = 'nobossradio';

	protected function getInput() {
        // Joomla 4
        if(version_compare(JVERSION, '4', '>=')){
            // FIXME: comentado pq esse layout está gerando erro na atualização do Joomla 5.1.1 ou 5.1.2 (qnd dentro de subform)
            //$this->layout = 'joomla.form.field.radio.switcher';
        }
        
        return parent::getInput();
	}
}
